package
{
	import flash.display.Stage;

	public class Oriented
	{
		/**
		 * Returns the full screen width assuming orientation is landscape
		 */
		public static function landscapeScreenWidth( stage:Stage ):int
		{
			return stage.fullScreenWidth > stage.fullScreenHeight ? stage.fullScreenWidth : stage.fullScreenHeight;
		}
		/**
		 * Returns the full screen height assuming orientation is landscape
		 */
		public static function landscapeScreenHeight( stage:Stage ):int
		{
			return stage.fullScreenHeight > stage.fullScreenWidth ? stage.fullScreenWidth : stage.fullScreenHeight;
		}
		/**
		 * Returns the full screen width assuming orientation is portrait
		 */
		public static function portraitScreenWidth( stage:Stage ):int
		{
			return stage.fullScreenWidth < stage.fullScreenHeight ? stage.fullScreenWidth : stage.fullScreenHeight;
		}
		/**
		 * Returns the full screen height assuming orientation is portrait
		 */
		public static function portraitScreenHeight( stage:Stage ):int
		{
			return stage.fullScreenHeight < stage.fullScreenWidth ? stage.fullScreenWidth : stage.fullScreenHeight;
		}
	}
}